Bug 1760018 - Request to package passenger for EPEL 8
Summary: Request to package passenger for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: passenger
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gerd Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-09 16:28 UTC by Nathan Coulson
Modified: 2019-12-20 01:38 UTC (History)
4 users (show)

Fixed In Version: passenger-6.0.4-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-20 01:38:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Nathan Coulson 2019-10-09 16:28:17 UTC
This is a request for Passenger to be packaged for EPEL 8.  Thank you

Comment 1 Gerd Pokorra 2019-10-19 08:27:00 UTC
All my scratch builds currently fails for missing dependencies:

http://koji.fedoraproject.org/koji/taskinfo?taskID=38320856
http://koji.fedoraproject.org/koji/taskinfo?taskID=38382680

Comment 2 Gerd Pokorra 2019-11-20 11:02:51 UTC
The last missing dependency 'rubygem-rack' for building passenger on epel8 is in the testing state:
  
 https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c4c6f576e9


The first successful scratch build on epel8-playground has the URL:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=39123392


What component would you like to use?

Comment 3 Nathan Coulson 2019-11-20 18:22:17 UTC
(Apologies if I misunderstand component), but I was planning on using it for Ruby on Rails.  Specifically utilizing Bundler.

Comment 4 Gerd Pokorra 2019-11-21 02:03:28 UTC
bundler is from the package rubygem-bundler (dnf install rubygem-bundler) Works also on CentOS 8.

If you want to use nginx for running Ruby on Rails you better compile passenger and the web server on your own. Let me know if you need help here.

If you want to use apache2 for running Ruby ond Rails you can use the mod_passenger package from the scratch build and check if it works.


A scratch build for all architures is at:

 https://koji.fedoraproject.org/koji/taskinfo?taskID=39131279


A new scratch build without the selinux problem for x86_64 ist at:

 https://koji.fedoraproject.org/koji/taskinfo?taskID=39132552



This week I have no time any more for this. I will test the mod_passenger module for apache2 next week.

Comment 5 Gerd Pokorra 2019-11-21 16:25:05 UTC
The apache module is to see when the packages from the scratch build are installed and httpd is running:

$ httpd -M | grep passenger
 passenger_module (shared)

Comment 6 Gerd Pokorra 2019-11-23 09:16:24 UTC
I have installed the packages from the scratch build:

> rpm -qa | grep passenger
passenger-6.0.4-1.epel8.playground.x86_64
mod_passenger-6.0.4-1.epel8.playground.x86_64
>

For testing mod_passenger I installed the current Redmine version 4.0.5. I only needed to disable selinux (setenforce 0) that it works.

Comment 7 Gerd Pokorra 2019-11-27 14:01:20 UTC
I have built a new epel8.playground for package passenger:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1417275

I do not know how it will be tagged so that it could also be installed from the command line. Currently it is only tagged as epel8-playground-condidate.

Comment 9 Nathan Coulson 2019-11-27 17:55:20 UTC
It physically runs a Ruby on Rails app I was using Passenger for but there is an Assertion when Apache starts up (Before it tries running the app)


[ N 2019-11-27 09:40:51.0547 17014/T1 age/Wat/WatchdogMain.cpp:1373 ]: Starting Passenger watchdog...
[ N 2019-11-27 09:40:51.1961 17018/T1 age/Cor/CoreMain.cpp:1340 ]: Starting Passenger core...
[ N 2019-11-27 09:40:51.1973 17018/T1 age/Cor/CoreMain.cpp:256 ]: Passenger core running in multi-application mode.
[ N 2019-11-27 09:40:51.2169 17018/T1 age/Cor/CoreMain.cpp:1015 ]: Passenger core online, PID 17018
[Wed Nov 27 09:40:51.231438 2019] [lbmethod_heartbeat:notice] [pid 16986:tid 140060832909568] AH02282: No slotmem from mod_heartmonitor
[Wed Nov 27 09:40:51.317246 2019] [mpm_event:notice] [pid 16986:tid 140060832909568] AH00489: Apache/2.4.37 (centos) OpenSSL/1.1.1 Phusion_Passenger/6.0.4 configured -- resuming normal operations
[Wed Nov 27 09:40:51.317810 2019] [core:notice] [pid 16986:tid 140060832909568] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'
[ N 2019-11-27 09:40:51.4385 16993/T1 age/Cor/TelemetryCollector.h:531 ]: Message from Phusion: End time can not be before or equal to begin time
/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = oxt::thread*; _Alloc = std::allocator<oxt::thread*>; std::vector<_Tp, _Alloc>::reference = oxt::thread*&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.

[ pid=16993, timestamp=1574876451 ] Process aborted! signo=SIGABRT(6), reason=SI_TKILL, signal sent by PID 16993 with UID 0, si_addr=0x4261, randomSeed=1574876450
[ pid=16993 ] Crash log files will be dumped to /var/tmp/passenger-crash-log.1574876451.EuNpBC <--- ******* LOOK HERE FOR DETAILS!!! *******
[ pid=16993 ] Date and uname:
Wed Nov 27 09:40:51 PST 2019
Linux 4.18.0-107.el8.x86_64 #1 SMP Fri Jun 14 13:46:34 UTC 2019 x86_64 x86_64
[ pid=16993 ] Phusion Passenger version: 6.0.4
[ pid=16993 ] libc backtrace available!
--------------------------------------
[ pid=16993 ] Backtrace with 17 frames:
ERROR: cannot execute '/usr/bin/ruby "/usr/share/passenger/helper-scripts/backtrace-sanitizer.rb"' for sanitizing the backtrace, writing to stderr directly...
Passenger core(+0xd9941)[0x561131811941]
Passenger core(+0xda412)[0x561131812412]
Passenger core(+0xdcb9b)[0x561131814b9b]
/lib64/libpthread.so.0(+0x12d80)[0x7f4f15e70d80]
/lib64/libc.so.6(gsignal+0x10f)[0x7f4f1462393f]
/lib64/libc.so.6(abort+0x127)[0x7f4f1460dc95]
Passenger core(+0x7f488)[0x5611317b7488]
Passenger core(+0x19590c)[0x5611318cd90c]
Passenger core(+0x265cba)[0x56113199dcba]
Passenger core(+0x16d58d)[0x5611318a558d]
Passenger core(+0x2319e2)[0x5611319699e2]
Passenger core(+0x25af2e)[0x561131992f2e]
Passenger core(+0x1692d0)[0x5611318a12d0]
Passenger core(+0x16a4f2)[0x5611318a24f2]
Passenger core(+0x73c4b)[0x5611317abc4b]
/lib64/libc.so.6(__libc_start_main+0xf3)[0x7f4f1460f813]
Passenger core(_start+0x2e)[0x5611317ace8e]
--------------------------------------
[ pid=16993 ] Dumping ulimits...
Dumping to /var/tmp/passenger-crash-log.1574876451.EuNpBC/ulimits.log
--------------------------------------
[ pid=16993 ] Open files and file descriptors:
Dumping to /var/tmp/passenger-crash-log.1574876451.EuNpBC/fds.log
--------------------------------------
[ pid=16993 ] Dumping a more detailed backtrace with crash-watch...
Dumping to /var/tmp/passenger-crash-log.1574876451.EuNpBC/backtrace.log
--------------------------------------
[ pid=16993 ] **************** LOOK HERE FOR CRASH DETAILS *****************

[ pid=16993 ] Crash log dumped to this directory:
[ pid=16993 ] /var/tmp/passenger-crash-log.1574876451.EuNpBC

[ pid=16993 ] **************** LOOK ABOVE FOR CRASH DETAILS ****************
[ N 2019-11-27 09:40:54.0162 17018/T6 age/Cor/SecurityUpdateChecker.h:519 ]: Security update check: no update found (next check in 24 hours)


(suspecting that's the Asserion above, but I can provide more details if needed)






Also, it looks like it is not finding passenger_native_support.so, but I see it at: /usr/lib64/passenger/passenger_native_support.so
App 17525 output:  [passenger_native_support.so] not found for current Ruby interpreter.
App 17525 output:      This library provides various optimized routines that make
App 17525 output:      Phusion Passenger faster. Please run 'sudo yum install passenger-devel-6.0.4'
App 17525 output:      so that Phusion Passenger can compile one on the next run.
App 17525 output:  [passenger_native_support.so] not downloading because passenger wasn't installed from a release package
App 17525 output:  [passenger_native_support.so] will not be used (can't compile or download) 
App 17525 output:   --> Passenger will still operate normally.

Comment 10 Gerd Pokorra 2019-11-28 10:41:59 UTC
I have a similar log from httpd. But does the http deamon start and is the app running?

Comment 11 Nathan Coulson 2019-11-28 17:43:49 UTC
Yes, Apache starts up fine, and the Rails app (5.2.2) is working just fine.

Comment 12 Fedora Update System 2019-12-04 07:51:07 UTC
FEDORA-EPEL-2019-4eef2d33ad has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4eef2d33ad

Comment 13 Fedora Update System 2019-12-05 04:21:31 UTC
passenger-6.0.4-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4eef2d33ad

Comment 14 Fedora Update System 2019-12-20 01:38:22 UTC
passenger-6.0.4-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.